Name: H5Ewalk_cb
Signature:
  herr_t `H5Ewalk_cb`(int `n`, H5E_error_t *`err_desc`, void `*client_data` )
Purpose:
  Default error stack traversal callback function that prints error messages to the specified output stream.
Description:
  `H5Ewalk_cb` is a default error stack traversal callback function that prints error messages to the specified output stream. It is not meant to be called directly but rather as an argument to the `H5Ewalk` function. This function is called also by `H5Eprint`. Application writers are encouraged to use this function as a model for their own error stack walking functions.

  `n` is a counter for how many times this function has been called for this particular traversal of the stack. It always begins at zero for the first error on the stack (either the top or bottom error, or even both, depending on the traversal direction and the size of the stack).

  `err_desc` is an error description. It contains all the information about a particular error.

  `client_data` is the same pointer that was passed as the `client_data` argument of `H5Ewalk`. It is expected to be a file pointer (or stderr if NULL).

Parameters:

int `n` | IN/OUT: Number of times this function has been called for this traversal of the stack.
H5E_error_t *`err_desc` | OUT: Error description.
void `*client_data` | IN: A file pointer, or stderr if NULL.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.